#!/bin/bash

echo
echo "Installing Heathkit floppy archive utilities htar and hls..."
echo 
echo "htar is used for adding, deleting and extract files in H8D floppy images."
echo "hls is a hard link to htar and is a short cut to list files in an H8D image."
echo
echo "When finished run htar without any arguments to get the help."
echo
echo -n "Continue with installation [Y/n] "
read a
if [ $a"x" == "x" ] || [ $a == "Y" ] || [ $a == "y" ]; then
	echo "Installing htar to /usr/local/bin and linking it to hls..."
	cp htar /usr/local/bin
	chmod +x /usr/local/bin/htar
	ln /usr/local/bin/htar /usr/local/bin/hls
	sleep 1
	echo "Installing fstool to /usr/local/bin..."
	cp fstool /usr/local/bin
	chmod +x /usr/local/bin/fstool
	sleep 1
	echo "Finished installing htar..."
	sleep 1
	echo
	echo "You must have the cpmtools package installed to work with CP/M images..."
	echo "Under Debian, Ubuntu, Mint etc you can issue this command:"
	echo "  sudo apt-get install cpmtools"
	echo "For Fedora and other RPM based distributions use:"
	echo "  yum install cpmtools."
	echo 
	echo "You will also need to add the following h8d diskdef"
	echo "to /etc/cpmtools/diskdefs file, just add it at the bottom."
	echo      
	echo "diskdef h8d"
	echo "  seclen 256"
	echo "  tracks 40"
	echo "  sectrk 10"
	echo "  blocksize 1024"
	echo "  maxdir 32"
	echo "  skew 4"
	echo "  boottrk 3"
	echo "  os 2.2"
	echo "end"
else
	echo "Installation cancelled..."
fi



